<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:someprefix="http://www.topografix.com/GPX/1/0">

<xsl:template match="someprefix:gpx">
  <gpx xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" creator="FON" xsi:schemaLocation="http://www.topografix.com/GPX/1/0 http://www.topografix.com/GPX/1/0/gpx.xsd http://www.groundspeak.com/cache/1/0 http://www.groundspeak.com/cache/1/0/cache.xsd">
   
    <name><xsl:value-of select="someprefix:name"/></name>
    <desc><xsl:value-of select="someprefix:name"/></desc>
    <author><xsl:value-of select="someprefix:author"/></author>
    <email><xsl:value-of select="someprefix:email"/></email>
    <time>2002-09-25T00:00:00.0000000-07:00</time>
    <keywords><xsl:value-of select="someprefix:urlname"/></keywords>
    <bounds>
      <xsl:attribute name="minlat">
          <xsl:value-of select="0.00" />
      </xsl:attribute> 
      <xsl:attribute name="minlon">
          <xsl:value-of select="0.00" />
      </xsl:attribute> 
      <xsl:attribute name="maxlat">
          <xsl:value-of select="0.00" />
      </xsl:attribute> 
      <xsl:attribute name="maxlon">
          <xsl:value-of select="0.00" />
      </xsl:attribute> 
    </bounds>

    <xsl:apply-templates/>

    </gpx>
</xsl:template>

<xsl:template match="someprefix:wpt">
      <wpt>
        <xsl:apply-templates select="@*"/>
        <time>2002-09-25T00:00:00.0000000-07:00</time>
        <name>GC000A</name>
        <desc><xsl:value-of select="someprefix:desc"/></desc>
        <url><xsl:value-of select="../someprefix:url"/></url>
        <urlname><xsl:value-of select="someprefix:name"/></urlname>
        <sym>Geocache</sym>
        <type>Geocache|Virtual Cache</type>

        <groundspeak:cache id="00000" available="True" archived="False" xmlns:groundspeak="http://www.groundspeak.com/cache/1/0">
          <groundspeak:name><xsl:value-of select="someprefix:desc"/></groundspeak:name>
          <groundspeak:placed_by><xsl:value-of select="someprefix:name"/></groundspeak:placed_by>
          <groundspeak:owner id="00000">FON</groundspeak:owner>
          <groundspeak:type>Virtual Cache</groundspeak:type>
          <groundspeak:container>Virtual</groundspeak:container>
          <groundspeak:difficulty>0</groundspeak:difficulty>
          <groundspeak:terrain>0</groundspeak:terrain>
          <groundspeak:country>Netherlands</groundspeak:country>
          <groundspeak:state />
          <groundspeak:short_description html="True"><xsl:value-of select="someprefix:name"/>: <xsl:value-of select="someprefix:desc"/></groundspeak:short_description>
          <groundspeak:long_description html="True"><xsl:value-of select="someprefix:name"/>: <xsl:value-of select="someprefix:desc"/></groundspeak:long_description>
          <groundspeak:encoded_hints />
          <groundspeak:logs />
          <groundspeak:travelbugs />
        </groundspeak:cache>

      </wpt>
</xsl:template>

<xsl:template match="@lat">
   <xsl:attribute name="lat">
      <xsl:value-of select="."/>
   </xsl:attribute>
</xsl:template>

<xsl:template match="@lon">
   <xsl:attribute name="lon">
      <xsl:value-of select="."/>
   </xsl:attribute>
</xsl:template>


</xsl:stylesheet>
